#pragma once

#include <cppargs/options/member/member_option.h>

namespace cppargs
{

    template<typename T_instance>
    T_instance& member_option<T_instance>::instance() const
    {
        if (!_owner)
            throw std::runtime_error("option has no owner assigned");
        auto* ret = _owner->instance();
        if (!ret)
            throw std::runtime_error("option has no instance assigned");
        return *ret;
    }

}
