# This file contains constant variables that are fixed to this project

# Version
Set                                 ( CPPARGS_VERSION_MAJOR           1 )
Set                                 ( CPPARGS_VERSION_MINOR           0 )
Set                                 ( CPPARGS_VERSION_PATCH           0 )
Set                                 ( CPPARGS_VERSION_BUILD           0 )
Set                                 ( CPPARGS_VERSION_HASH            "" )
Set                                 ( CPPARGS_VERSION_BEHIND          0 )
Set                                 ( CPPARGS_VERSION_DIRTY           0 )

# Names
Set                                 ( CPPARGS_PROJECT_NAME            "cppargs" )
Set                                 ( CPPARGS_PROJECT_DESCRIPTION     "Library to parse command line arguments." )

# Include generated variables for further usage
Include                             ( ${CMAKE_CURRENT_LIST_DIR}/cppargs-var.cmake )

# Install directories
Set                                 ( CPPARGS_INSTALL_DIR_INCLUDE     "${CMAKE_INSTALL_INCLUDEDIR}/${CPPARGS_NAME}" )
Set                                 ( CPPARGS_INSTALL_DIR_LIB         "${CMAKE_INSTALL_LIBDIR}" )
Set                                 ( CPPARGS_INSTALL_DIR_SHARE       "${CMAKE_INSTALL_DATAROOTDIR}/${CPPARGS_NAME}" )

# C Standard
Set                                 ( CMAKE_C_STANDARD                      11 )
Set                                 ( CMAKE_CXX_STANDARD                    17 )
Set                                 ( CMAKE_C_STANDARD_REQUIRED             ON )
Set                                 ( CMAKE_CXX_STANDARD_REQUIRED           ON )
