# This file contains generated variables that are needed for the project

# Git Version
If                                  ( CPPARGS_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                CPPARGS_VERSION_MAJOR
                                                CPPARGS_VERSION_MINOR
                                                CPPARGS_VERSION_PATCH
                                                CPPARGS_VERSION_BUILD
                                                CPPARGS_VERSION_HASH
                                                CPPARGS_VERSION_BEHIND
                                                CPPARGS_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( CPPARGS_VERSION_SHORT
                                      "${CPPARGS_VERSION_MAJOR}.${CPPARGS_VERSION_MINOR}" )
Set                                 ( CPPARGS_VERSION
                                      "${CPPARGS_VERSION_SHORT}.${CPPARGS_VERSION_PATCH}.${CPPARGS_VERSION_BUILD}" )
Set                                 ( CPPARGS_VERSION_COMPLETE
                                      "${CPPARGS_VERSION}" )
Set                                 ( CPPARGS_NAME
                                      "${CPPARGS_PROJECT_NAME}-${CPPARGS_VERSION_SHORT}" )
Set                                 ( CPPARGS_OUTPUTNAME
                                      "${CPPARGS_PROJECT_NAME}" )
If                                  ( CPPARGS_VERSION_BEHIND )
    Set                                 ( CPPARGS_VERSION_COMPLETE
                                          "${CPPARGS_VERSION_COMPLETE}+${CPPARGS_VERSION_BEHIND}" )
EndIf                               ( )
