#pragma once

#include <cppargs/group/group.h>

namespace cppargs
{

    struct simple_group
        : public group
    {
    public:
        /**
         * @brief Constructor.
         *
         * @param[in] p_meta    Meta data of the group.
         * @param[in] p_args    Sub groups and options.
         */
        template<typename... T_args>
        inline simple_group(
            const group_meta& p_meta,
            T_args&&... p_args);
    };

}
